package jrummikub.util;

/**
 * Interface for classes that can generate events having a two parameters
 * 
 * @param <T1>
 *            type of the first event parameter
 * @param <T2>
 *            type of the second event parameter
 */
public interface IEvent2<T1, T2> {
	/**
	 * Start to publish all events to a given listener
	 * 
	 * @param listener
	 *            target listener
	 */
	public void add(IListener2<T1, T2> listener);

	/**
	 * Stop publishing events to a given listener
	 * 
	 * @param listener
	 *            target listener
	 */
	public void remove(IListener2<T1, T2> listener);
}
